Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.repastdemos.hypercycles
Class HyperGame

    java.lang.Object
      uchicago.src.repastdemos.hypercycles.HyperGame

    public class HyperGame

extends java.lang.Object

Coordinates the activation, and deletion of skills and cells. An implementation of the simulation described in John Padgett's "The Emergence of Simple Ecologies of Skill: A Hypercycle Approach to Economic Organization" in _The Economy as an Evolving Complex System II_, Eds. Arthur, Durlauf, and Lane. SFI Studies in the Sciences of Complexity, Vol. XXVII, Addison-Wesley, 1997, pp. 199-221. Thanks to John Padgett for allowing us to include it here. jpadgett@midway.uchicago.edu

Version:
  $Revision: 1.1 $ $Date: 2005/08/12 20:04:57 $
Author:
  Nick Collier and John Padgett

Field Summary
`static int` | `INACTIVE`
`static int` | `JOINT`
`static int` | `MAX_SKILL`
`static int` | `MOORE`
`static int` | `SOURCE`
`static int` | `TARGET`
`static int` | `VON_NEUMANN`

Constructor Summary
`HyperGame(Object2DTorus space, int reproductionMode, java.util.ArrayList skills, int nType)`

Method Summary
`void` | `killSkill()`
`void` | `play()`
`void` | `unactivateCells()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INACTIVE

    public static final int INACTIVE

See Also:
  Constant Field Values

### SOURCE

    public static final int SOURCE

See Also:
  Constant Field Values

### TARGET

    public static final int TARGET

See Also:
  Constant Field Values

### JOINT

    public static final int JOINT

See Also:
  Constant Field Values

### MAX_SKILL

    public static int MAX_SKILL

### VON_NEUMANN

    public static final int VON_NEUMANN

See Also:
  Constant Field Values

### MOORE

    public static final int MOORE

See Also:
  Constant Field Values

Constructor Detail

### HyperGame

    public HyperGame(Object2DTorus space,
                     int reproductionMode,
                     java.util.ArrayList skills,
                     int nType)

Method Detail

### play

    public void play()

### killSkill

    public void killSkill()

### unactivateCells

    public void unactivateCells()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD